Bug 460630 - SELinux errors on installation of rhythmbox-0.11.6-1.8.el5_2.x86_64
SELinux errors on installation of rhythmbox-0.11.6-1.8.el5_2.x86_64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhythmbox (Show other bugs)
5.2
x86_64 Linux
urgent Severity medium
: rc
: ---
Assigned To: Bastien Nocera
desktop-bugs@redhat.com
: ZStream
Depends On:
Blocks: 467888
  Show dependency treegraph
 
Reported: 2008-08-29 04:40 EDT by Matthew Foulkes
Modified: 2009-01-21 07:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:14:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Foulkes 2008-08-29 04:40:46 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.1) Gecko/2008071420 Iceweasel/3.0.1 (Debian-3.0.1-1)

Using yum in install rhythmbox-0.11.6-1.8.el5_2.x86_64 (or upgrade it 
from the previous version) on an x86_64 machine with SELinux disabled 
yields the following error messages:

Running Transaction
  Installing: rhythmbox                    ######################### [1/1]
chcon: can't apply partial context to unlabeled file /usr/lib64/rhythmbox/plugins/audiocd/libaudiocd.so
chcon: can't apply partial context to unlabeled file /usr/lib64/rhythmbox/plugins/generic-player/libgeneric-player.so
error: %post(rhythmbox-0.11.6-1.8.el5_2.x86_64) scriptlet failed, exit status 1

If rhythmbox is being upgraded (rather than installed afresh), rpm reports
that *both* the old and new versions are installed afterwards.

Reproducible: Always

Steps to Reproduce:
1. yum update (on a machine with the previous version of rhythmbox installed)
2. OR yum install rhythmbox

Actual Results:  
Running Transaction
  Installing: rhythmbox                    ######################### [1/1]
chcon: can't apply partial context to unlabeled file /usr/lib64/rhythmbox/plugins/audiocd/libaudiocd.so
chcon: can't apply partial context to unlabeled file /usr/lib64/rhythmbox/plugins/generic-player/libgeneric-player.so
error: %post(rhythmbox-0.11.6-1.8.el5_2.x86_64) scriptlet failed, exit status 1

Expected Results:  
No errors
Comment 1 Thomas Chung 2008-08-29 21:31:15 EDT
FYI, it also happens on 5.2 i386 as well.

Updating  : rhythmbox                    ######################### [1/2] 
chcon: can't apply partial context to unlabeled file /usr/lib/rhythmbox/plugins/audiocd/libaudiocd.so
chcon: can't apply partial context to unlabeled file /usr/lib/rhythmbox/plugins/generic-player/libgeneric-player.so
error: %post(rhythmbox-0.11.6-1.8.el5_2.i386) scriptlet failed, exit status 1

Updated: rhythmbox.i386 0:0.11.6-1.8.el5_2
Comment 2 Bastien Nocera 2008-09-15 11:29:41 EDT
You'll need to enable SELinux during the installation for now.
Comment 3 RHEL Product and Program Management 2008-09-15 11:37:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Daniel Walsh 2008-09-15 12:56:33 EDT
Adding 
/usr/lib/rhythmbox/plugins/audiocd/.*\.so	--	gen_context(system_u:object_r:textrel_shlib_t,s0)
/usr/lib64/rhythmbox/plugins/audiocd/.*\.so	--	gen_context(system_u:object_r:textrel_shlib_t,s0)

/usr/lib/rhythmbox/plugins/generic-player/.*\.so	--	gen_context(system_u:object_r:textrel_shlib_t,s0)
/usr/lib64/rhythmbox/plugins/generic-player/.*\.so	--	gen_context(system_u:object_r:textrel_shlib_t,s0)

To selinux-policy-2.4.6-157.el5

Remove the chcon call from the post install script.
Comment 12 errata-xmlrpc 2009-01-20 17:14:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0242.html
Comment 13 Matthew Foulkes 2009-01-21 07:26:48 EST
The URL in Comment #12 above produces a "Page Not Found (404)" error.

Note You need to log in before you can comment on or make changes to this bug.